<html><head>

<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>OPEN SOURCE SOFTWARE NOTICE</span></b></p>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just “this product”). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Technologies Co. Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">Eigen 3.3.7</a></li>
<li><a href="#id1">nanoflann 1.3.0</a></li>
<li><a href="#id2">opencv_contrib 4.2.0</a></li>
<li><a href="#id3">JSON for Modern C++ 3.6.1</a></li>
<li><a href="#id4">OpenCV 4.2.0</a></li>
<li><a href="#id5">libjpeg 9c</a></li>
<li><a href="#id6">ceres solver 1.14.0</a></li>
</ul>
</div><!-- table of contents -->
<table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
<div class="label">Software:</div>
<div class="file-list">
Eigen 3.3.7 <br/>
</div><!-- file-list -->
<pre class="license-text">
<b>Copyright notice:</b>

Copyright (C) 2014 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (C) 2013 Christian Seiler &lt;christian@iwakd.de&gt;
Copyright (C) 2015 Eugene Brevdo &lt;ebrevdo@gmail.com&gt;
Copyright (C) 2014-2015 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (C) 2015 Navdeep Jaitly &lt;ndjaitly@google.com&gt;
Copyright (C) 2014 Eric Martin &lt;eric@ericmart.in&gt;
Copyright (C) 2015 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (C) 2016 Rasmus Munk Larsen &lt;rmlarsen@google.com&gt;
Copyright (C) 2016 Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (C) 2015 Jianwei Cui &lt;thucjw@gmail.com&gt;
Copyright (C) 2016 Eugene Brevdo &lt;ebrevdo@gmail.com&gt;
Copyright (C) 2015 Ke Yang &lt;yangke@gmail.com&gt;
Copyright (C) 2016 Mehdi Goli, Codeplay Software Ltd &lt;eigen@codeplay.com&gt;
Copyright (C) 2014 Navdeep Jaitly &lt;ndjaitly@google.com&gt;
Copyright (C) 2016 Igor Babuschkin &lt;igor@babuschk.in&gt;
Copyright (C) 2016 Dmitry Vyukov &lt;dvyukov@google.com&gt;
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:30 CEST 2002
Copyright (C) 2008 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:31 CEST 2002
Copyright (C) 2008-2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2008-2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2009 Mark Borgerding mark a borgerding net
Copyright (C) 2008-2009 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2013 Desire Nuentsa &lt;desire.nuentsawakam@inria.fr&gt;
Copyright (C) 2013 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2012 Desire NUENTSA WAKAM &lt;desire.nuentsawakam@inria.fr&gt;
Copyright (C) 2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2009 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2006-2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2006-2008 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:28 CEST 2002
Copyright (C) 2010 Manuel Yguel &lt;manuel.yguel@gmail.com&gt;
Copyright (C) 2009 Claire Maurice
Copyright (C) 2010,2012 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2011, Intel Corporation. All rights reserved.
Copyright (C) 2012-2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2016 Tobias Wood &lt;tobias@spinicist.org.uk&gt;
Copyright (C) 2010 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2012 Alexey Korepanov &lt;kaikaikai@yandex.ru&gt;
Copyright (C) 2010 Vincent Lejeune
Copyright (C) 2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2009-2010 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2008 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2009 Mathieu Gautier &lt;mathieu.gautier@cea.fr&gt;
Copyright (C) 2010 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (C) 2009 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (C) 2008-2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) EDF R&amp;D,  mar déc 3 18:59:36 CET 2002
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:17 CEST 2002
Copyright (C) EDF R&amp;D,  mar déc 3 18:59:35 CET 2002
Copyright (C) 2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (C) 2007 Julien Pommier
Copyright (C) 2008-2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2009 Keir Mierle &lt;mierle@gmail.com&gt;
Copyright (C) 2011 Timothy E. Holy &lt;tim.holy@gmail.com &gt;
Copyright (C) 2009 Hauke Heibel &lt;hauke.heibel@googlemail.com&gt;
Copyright (C) 2012 Desire Nuentsa &lt;desire.nuentsawakam@inria.fr&gt;
Copyright (C) 2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2015 Tal Hadad &lt;talhd@hotmail.com&gt;@Copyright (C) 2009-2014 The University of Tennessee and The University of Tennessee Research Foundation.
@Copyright (C) 2012-2016 Inria. All rights reserved.
@Copyright (C) 2012-2014 Bordeaux INP, CNRS (LaBRI UMR 5800), Inria, Univ. Bordeaux. All rights reserved.
Copyright 2007-2009 Kitware, Inc.Copyright 2012-2013 InriaCopyright 2012-2013 Emmanuel AgulloCopyright 2012-2013 Mathieu FavergeCopyright 2012      Cedric CastagnedeCopyright 2013-2016 Florent PruvostCopyright 2016 Codeplay Software Ltd.
Copyright (C) 2006, 2007 Montel Laurent, &lt;montel@kde.org&gt;
Copyright (C) 2008, 2009 Gael Guennebaud, &lt;g.gael@free.fr&gt;
Copyright (C) 2009 Boudewijn Rempt &lt;boud@valdyas.org&gt;@Copyright (C) 2012-2014 Inria. All rights reserved.
Copyright 2013      Florent Pruvost
Copyright (C) 2010 Jitse Niesen, &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2009 Benjamin Schindler &lt;bschindler@inf.ethz.ch&gt;
Copyright (C) 2016 Pedro Gonnet (pedro.gonnet@gmail.com)
Copyright (C) 2016 Benoit Steiner (benoit.steiner.goog@gmail.com)
Copyright (C) 2009 Thomas Capricelli &lt;orzel@freehackers.org&gt;
Copyright (C) 2012-2013 Desire Nuentsa &lt;desire.nuentsawakam@inria.fr&gt;
Copyright (C) 2012-2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;Copyright Jorge More - Argonne National LaboratoryCopyright Burt Garbow - Argonne National LaboratoryCopyright Ken Hillstrom - Argonne National Laboratory
Copyright (C) 2009 Ilya Baran &lt;ibaran@mit.edu&gt;
Copyright (C) 2010, Intel Corp.
Copyright (C) 2009-2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2013-2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2013 Gauthier Brun &lt;brun.gauthier@gmail.com&gt;
Copyright (C) 2013 Nicolas Carre &lt;nicolas.carre@ensimag.fr&gt;
Copyright (C) 2013 Jean Ceccato &lt;jean.ceccato@ensimag.fr&gt;
Copyright (C) 2013 Pierre Zoppitelli &lt;pierre.zoppitelli@ensimag.fr&gt;
Copyright (C) 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2014-2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2013-2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2011-2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2012 Désiré Nuentsa-Wakam &lt;desire.nuentsawakam@inria.fr&gt;
Copyright (C) 2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2012 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 1994 by Xerox Corporation.  All rights reserved.
Copyright (C) 2001 Intel Corporation
Copyright (C) 2001 Intel Corporation.
Copyright (C) 2009 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (C) 2013 Christoph Hertzberg &lt;chtz@informatik.uni-bremen.de&gt;
Copyright (C) 2015 Eugene Brevdo &lt;ebrevdo@google.com&gt;
Copyright (C) 2016Mehdi Goli    Codeplay Software Ltd.Ralph Potter  Codeplay Software Ltd.Luke Iwanski  Codeplay Software Ltd.
Copyright (C) 2014 Jianwei Cui &lt;thucjw@gmail.com&gt;
Copyright (C) 2015 Vijay Vasudevan &lt;vrv@google.com&gt;
Copyright (C) 2015Mehdi Goli    Codeplay Software Ltd.Ralph Potter  Codeplay Software Ltd.Luke Iwanski  Codeplay Software Ltd.
Copyright (C) 2014 Navdeep Jaitly &lt;ndjaitly@google.com and Benoit Steiner &lt;benoit.steiner.goog@gmail.com&gt;
Copyright (C) 2011 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (C) 2012 desire Nuentsa &lt;desire.nuentsawakam@inria.fr
Copyright (C) 2008 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (C) 2012 Kolja Brix &lt;brix@igpm.rwth-aaachen.de&gt;
Copyright (C) 2011 Kolja Brix &lt;brix@igpm.rwth-aachen.de&gt;
Copyright (C) 2011 Andreas Platen &lt;andiplaten@gmx.de&gt;
Copyright (C) 2012 Chen-Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (C) 2009 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2009-2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2012, 2013 Chen-Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (C) 2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2012 Giacomo Po &lt;gpo@ucla.edu&gt;
Copyright (C) 2008-2010 Gael Guennebaud &lt;g.gael@free.fr&gt;
Copyright (C) 2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2010-2011 Hauke Heibel &lt;heibel@gmail.com&gt;
Copyright (C) 2012 David Harmon &lt;dharmon@gmail.com&gt;
Copyright (C) 2007-2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2007-2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2008-2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2009 Kenneth Riddile &lt;kfriddile@yahoo.com&gt;
Copyright (C) 2010 Thomas Capricelli &lt;orzel@freehackers.org&gt;
Copyright (C) 2013 Pavel Holoborodko &lt;pavel@holoborodko.com&gt;
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:16 CEST 2002
Copyright (C) EDF R&amp;D,  mar déc 3 18:59:37 CET 2002
Copyright (C) 2006-2009 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2008-2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2008-2015 Pavel Holoborodko
Copyright (C) 20010-2011 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (C) 2006, Montel Laurent, &lt;montel@kde.org&gt;
Copyright (C) 2007, Allen Winter, &lt;winter@kde.org&gt;
Copyright (C) 2007, Alexander Neundorf, &lt;neundorf@kde.org&gt;
Copyright (C) 2008 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (C) 2008-2009 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (C) 2009 Guillaume Saupin &lt;guillaume.saupin@cea.fr&gt;
Copyright (C) 2010-2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (C) 2008-2016 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (C) 2014 Benoit Steiner (benoit.steiner.goog@gmail.com)
Copyright (C) 2014 Pedro Gonnet (pedro.gonnet@gmail.com)
Copyright (C) Fabian Giesen, 2016
Copyright (C) 2010 Konstantinos Margaritis &lt;markos@freevec.org&gt;
Copyright (C) 2007 Michael Olbrich &lt;michael.olbrich@gmx.net&gt;
Copyright (C) 2011 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2011-2012 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2016 Rasmus Munk Larsen (rmlarsen@google.com)
Copyright (C) 2008-2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2010-2013 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (C) 2006-2008, 2010 Benoit Jacob &lt;jacob.benoit.1@gmail.com&gt;
Copyright (C) 2010-2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2009-2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2009 Ricard Marxer &lt;email@ricardmarxer.com&gt;
Copyright (C) 2009-2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2010-2011 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2009 Rohit Garg &lt;rpg.314@gmail.com&gt;
Copyright (C) 2006, Timothy A. Davis.
Copyright (C) 1998-2003 by the University of Florida.
Copyright (C) 2012  Désiré Nuentsa-Wakam &lt;desire.nuentsawakam@inria.fr&gt;
Copyright (C) 2008-2012 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;LDL
Copyright (C) 2005 by Timothy A. Davis.  All rights reserved.
Copyright (C) 2010 Daniel Lowengrub &lt;lowdanie@gmail.com&gt;
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:20 CEST 2002
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:19 CEST 2002
Copyright (C) 2009, 2010, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2011, 2013 Chen-Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (C) 2009-2011, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2011, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2011 Chen-Pang He &lt;jdh8@ms63.hinet.net&gt;
Copyright (C) 2010, 2013 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;
Copyright (C) 2010-2014 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2012 The Android Open Source Project(C) Desire NUENTSA WAKAM, INRIA
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:18 CEST 2002
Copyright (C) 2012 Keir Mierle &lt;mierle@gmail.com&gt;
Copyright (C) 1989, 1991 Free Software Foundation, Inc.
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:23 CEST 2002
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:24 CEST 2002
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:27 CEST 2002
Copyright (C) 2007 Free Software Foundation, Inc. &lt;http:fsf.org/&gt;
Copyright (C) 1991, 1999 Free Software Foundation, Inc.
Copyright (C) 2015 Benoit Jacob &lt;benoitjacob@google.com&gt;Geometric Tools, LLC
Copyright (C) 1998-2010
Copyright (C) EDF R&amp;D,  lun sep 30 14:23:15 CEST 2002
Copyright (C) 2002-2007 Yves Renard
Copyright (C) 2012, 2014 Kolja Brix &lt;brix@igpm.rwth-aaachen.de&gt;
Copyright (C) 1997-2001 Andrew Lumsdaine &lt;lums@osl.iu.edu&gt;  Lie-Quan Lee     &lt;llee@osl.iu.edu&gt;
Copyright (C) 2012 Desire NUENTSA WAKAM &lt;desire.nuentsawakam@inria.fr
Copyright (C) 2015-2016 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2013 Hauke Heibel &lt;hauke.heibel@gmail.com&gt;
Copyright (C) 2010-2011 Jitse Niesen &lt;jitse@maths.leeds.ac.uk&gt;Intel
Copyright (C) ....
Copyright (C) 2010-2017 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 20013 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2008 Daniel Gomez Ferro &lt;dgomezferro@gmail.com&gt;
Copyright (C) 2013 Désiré Nuentsa-Wakam &lt;desire.nuentsawakam@inria.fr&gt;
Copyright (C) 2011-2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 20015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;
Copyright (C) 2014-2015 Gael Guennebaud &lt;gael.guennebaud@inria.fr&gt;


<b>License:</b> Mozilla Public License (MPL) V2.0

Mozilla Public License
Version 2.0
1. Definitions
1.1. “Contributor”
means each individual or legal entity that creates, contributes to the creation of, or owns Covered Software.
1.2. “Contributor Version”
means the combination of the Contributions of others (if any) used by a Contributor and that particular Contributor’s Contribution.
1.3. “Contribution”
means Covered Software of a particular Contributor.
1.4. “Covered Software”
means Source Code Form to which the initial Contributor has attached the notice in Exhibit A, the Executable Form of such Source Code Form, and Modifications of such Source Code Form, in each case including portions thereof.
1.5. “Incompatible With Secondary Licenses”
means
that the initial Contributor has attached the notice described in Exhibit B to the Covered Software; or
that the Covered Software was made available under the terms of version 1.1 or earlier of the License, but not also under the terms of a Secondary License.
1.6. “Executable Form”
means any form of the work other than Source Code Form.
1.7. “Larger Work”
means a work that combines Covered Software with other material, in a separate file or files, that is not Covered Software.
1.8. “License”
means this document.
1.9. “Licensable”
means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently, any and all of the rights conveyed by this License.
1.10. “Modifications”
means any of the following:
any file in Source Code Form that results from an addition to, deletion from, or modification of the contents of Covered Software; or
any new file in Source Code Form that contains any Covered Software.
1.11. “Patent Claims” of a Contributor
means any patent claim(s), including without limitation, method, process, and apparatus claims, in any patent Licensable by such Contributor that would be infringed, but for the grant of the License, by the making, using, selling, offering for sale, having made, import, or transfer of either its Contributions or its Contributor Version.
1.12. “Secondary License”
means either the GNU General Public License, Version 2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License, Version 3.0, or any later versions of those licenses.
1.13. “Source Code Form”
means the form of the work preferred for making modifications.
1.14. “You” (or “Your”)
means an individual or a legal entity exercising rights under this License. For legal entities, “You” includes any entity that controls, is controlled by, or is under common control with You. For purposes of this definition, “control” means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.
2. License Grants and Conditions
2.1. Grants
Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:
under intellectual property rights (other than patent or trademark) Licensable by such Contributor to use, reproduce, make available, modify, display, perform, distribute, and otherwise exploit its Contributions, either on an unmodified basis, with Modifications, or as part of a Larger Work; and
under Patent Claims of such Contributor to make, use, sell, offer for sale, have made, import, and otherwise transfer either its Contributions or its Contributor Version.
2.2. Effective Date
The licenses granted in Section 2.1 with respect to any Contribution become effective for each Contribution on the date the Contributor first distributes such Contribution.
2.3. Limitations on Grant Scope
The licenses granted in this Section 2 are the only rights granted under this License. No additional rights or licenses will be implied from the distribution or licensing of Covered Software under this License. Notwithstanding Section 2.1(b) above, no patent license is granted by a Contributor:
for any code that a Contributor has removed from Covered Software; or
for infringements caused by: (i) Your and any other third party’s modifications of Covered Software, or (ii) the combination of its Contributions with other software (except as part of its Contributor Version); or
under Patent Claims infringed by Covered Software in the absence of its Contributions.
This License does not grant any rights in the trademarks, service marks, or logos of any Contributor (except as may be necessary to comply with the notice requirements in Section 3.4).
2.4. Subsequent Licenses
No Contributor makes additional grants as a result of Your choice to distribute the Covered Software under a subsequent version of this License (see Section 10.2) or under the terms of a Secondary License (if permitted under the terms of Section 3.3).
2.5. Representation
Each Contributor represents that the Contributor believes its Contributions are its original creation(s) or it has sufficient rights to grant the rights to its Contributions conveyed by this License.
2.6. Fair Use
This License is not intended to limit any rights You have under applicable copyright doctrines of fair use, fair dealing, or other equivalents.
2.7. Conditions
Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.
3. Responsibilities
3.1. Distribution of Source Form
All distribution of Covered Software in Source Code Form, including any Modifications that You create or to which You contribute, must be under the terms of this License. You must inform recipients that the Source Code Form of the Covered Software is governed by the terms of this License, and how they can obtain a copy of this License. You may not attempt to alter or restrict the recipients’ rights in the Source Code Form.
3.2. Distribution of Executable Form
If You distribute Covered Software in Executable Form then:
such Covered Software must also be made available in Source Code Form, as described in Section 3.1, and You must inform recipients of the Executable Form how they can obtain a copy of such Source Code Form by reasonable means in a timely manner, at a charge no more than the cost of distribution to the recipient; and
You may distribute such Executable Form under the terms of this License, or sublicense it under different terms, provided that the license for the Executable Form does not attempt to limit or alter the recipients’ rights in the Source Code Form under this License.
3.3. Distribution of a Larger Work
You may create and distribute a Larger Work under terms of Your choice, provided that You also comply with the requirements of this License for the Covered Software. If the Larger Work is a combination of Covered Software with a work governed by one or more Secondary Licenses, and the Covered Software is not Incompatible With Secondary Licenses, this License permits You to additionally distribute such Covered Software under the terms of such Secondary License(s), so that the recipient of the Larger Work may, at their option, further distribute the Covered Software under the terms of either this License or such Secondary License(s).
3.4. Notices
You may not remove or alter the substance of any license notices (including copyright notices, patent notices, disclaimers of warranty, or limitations of liability) contained within the Source Code Form of the Covered Software, except that You may alter any license notices to the extent required to remedy known factual inaccuracies.
3.5. Application of Additional Terms
You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of any Contributor. You must make it absolutely clear that any such warranty, support, indemnity, or liability obligation is offered by You alone, and You hereby agree to indemnify every Contributor for any liability incurred by such Contributor as a result of warranty, support, indemnity or liability terms You offer. You may include additional disclaimers of warranty and limitations of liability specific to any jurisdiction.
4. Inability to Comply Due to Statute or Regulation
If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be placed in a text file included with all distributions of the Covered Software under this License. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.
5. Termination
5.1. The rights granted under this License will terminate automatically if You fail to comply with any of its terms. However, if You become compliant, then the rights granted under this License from a particular Contributor are reinstated (a) provisionally, unless and until such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing basis, if such Contributor fails to notify You of the non-compliance by some reasonable means prior to 60 days after You have come back into compliance. Moreover, Your grants from a particular Contributor are reinstated on an ongoing basis if such Contributor notifies You of the non-compliance by some reasonable means, this is the first time You have received notice of non-compliance with this License from such Contributor, and You become compliant prior to 30 days after Your receipt of the notice.
5.2. If You initiate litigation against any entity by asserting a patent infringement claim (excluding declaratory judgment actions, counter-claims, and cross-claims) alleging that a Contributor Version directly or indirectly infringes any patent, then the rights granted to You by any and all Contributors for the Covered Software under Section 2.1 of this License shall terminate.
5.3. In the event of termination under Sections 5.1 or 5.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or Your distributors under this License prior to termination shall survive termination.
6. Disclaimer of Warranty
Covered Software is provided under this License on an “as is” basis, without warranty of any kind, either expressed, implied, or statutory, including, without limitation, warranties that the Covered Software is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the Covered Software is with You. Should any Covered Software prove defective in any respect, You (not any Contributor) assume the cost of any necessary servicing, repair, or correction. This disclaimer of warranty constitutes an essential part of this License. No use of any Covered Software is authorized under this License except under this disclaimer.
7. Limitation of Liability
Under no circumstances and under no legal theory, whether tort (including negligence), contract, or otherwise, shall any Contributor, or anyone who distributes Covered Software as permitted above, be liable to You for any direct, indirect, special, incidental, or consequential damages of any character including, without limitation, damages for lost profits, loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses, even if such party shall have been informed of the possibility of such damages. This limitation of liability shall not apply to liability for death or personal injury resulting from such party’s negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.
8. Litigation
Any litigation relating to this License may be brought only in the courts of a jurisdiction where the defendant maintains its principal place of business and such litigation shall be governed by laws of that jurisdiction, without reference to its conflict-of-law provisions. Nothing in this Section shall prevent a party’s ability to bring cross-claims or counter-claims.
9. Miscellaneous
This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any law or regulation which provides that the language of a contract shall be construed against the drafter shall not be used to construe this License against a Contributor.
10. Versions of the License
10.1. New Versions
Mozilla Foundation is the license steward. Except as provided in Section 10.3, no one other than the license steward has the right to modify or publish new versions of this License. Each version will be given a distinguishing version number.
10.2. Effect of New Versions
You may distribute the Covered Software under the terms of the version of the License under which You originally received the Covered Software, or under the terms of any subsequent version published by the license steward.
10.3. Modified Versions
If you create software not governed by this License, and you want to create a new license for such software, you may create and use a modified version of this License if you rename the license and remove any references to the name of the license steward (except to note that such modified license differs from this License).
10.4. Distributing Source Code Form that is Incompatible With Secondary Licenses
If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms of this version of the License, the notice described in Exhibit B of this License must be attached.
Exhibit A - Source Code Form License Notice
This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
If it is not possible or desirable to put the notice in a particular file, then You may include the notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice.
You may add additional accurate notices of copyright ownership.
Exhibit B - “Incompatible With Secondary Licenses” Notice
This Source Code Form is “Incompatible With Secondary Licenses”, as defined by the Mozilla Public License, v. 2.0.

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
<div class="label">Software:</div>
<div class="file-list">
nanoflann 1.3.0<br/>
</div><!-- file-list -->
<pre class="license-text">
<b>Copyright notice:</b>
Copyright 2015, Google Inc.Copyright 2011 Jose Luis Blanco (joseluisblancoc@gmail.com).
Copyright 2005, Google Inc.Copyright 2008, Google Inc.Copyright 2003 Google Inc.Copyright 2008 Google Inc.
Copyright 2009 Google Inc.Copyright 2011-2016 Jose Luis Blanco (joseluisblancoc@gmail.com).
Copyright 2008-2009  Marius Muja (mariusm@cs.ubc.ca). All rights reserved.
Copyright 2008-2009  David G. Lowe (lowe@cs.ubc.ca). All rights reserved.
Copyright 2011-2016  Jose Luis Blanco (joseluisblancoc@gmail.com).
Copyright 2007, Google Inc.Copyright 2006, Google Inc.Copyright 2011-16 Jose Luis Blanco (joseluisblancoc@gmail.com).
Copyright 2011 Jose L. Blanco (joseluisblancoc@gmail.com). All rights reserved.



<b>License:</b> BSD 2-Clause License

BSD Two Clause License
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
<div class="label">Software:</div>
<div class="file-list">
opencv_contrib 4.2.0<br/>
</div><!-- file-list -->

<pre class="license-text">
<b>Copyright notice:</b>

Copyright (C) 2000-2008, Intel Corporation, All rights reserved.
Copyright (C) 2009-2012, Willow Garage Inc., All rights reserved.
Copyright (C) 2009, Willow Garage, Inc.
Copyright (C) 2015, OpenCV Foundation, All rights reserved.
Copyright (C) 2013, OpenCV Foundation, All rights reserved.
Copyright (C) 2009, Willow Garage Inc., All rights reserved.
Copyright(c) 2013 Vladislav Vinogradov
Copyright (C) 2015, Smart Engines Ltd, All rights reserved.
Copyright (C) 2015, Institute for Information Transmission Problems of the Russian Academy of Sciences (Kharkevich Institute), All rights reserved.
Copyright (C) 2015, Dmitry Nikolaev, Simon Karpenko, Michail Aliev, Elena Kuznetsova, All rights reserved.
Copyright (C) 2010-2013, Multicoreware, Inc., All rights reserved.
Copyright (C) 2010-2013, Advanced Micro Devices, Inc., All rights reserved.
Copyright (C) 2017, IBM Corporation, All rights reserved.
Copyright (C) 2017, Intel Corporation, All rights reserved.
Copyright (C) 2000-2015, Intel Corporation, All rights reserved.
Copyright (C) 2009-2011, Willow Garage Inc., All rights reserved.
Copyright (C) 2009-2015, NVIDIA Corporation, All rights reserved.
Copyright (C) 2015, Itseez Inc., All rights reserved.
Copyright (C) 2000, Intel Corporation, All rights reserved.
Copyright (C) 2000-2019, Intel Corporation, All rights reserved.
Copyright (C) 2009-2016, NVIDIA Corporation, All rights reserved.
Copyright (C) 2015-2016, OpenCV Foundation, All rights reserved.
Copyright (C) 2015-2016, Itseez Inc., All rights reserved.
Copyright (C) 2013 NVIDIA Corporation. All rights reserved.
Copyright (C) 2010 libmv authors.
Copyright (C) 2009 libmv authors.
Copyright (C) 2007, 2008 libmv authors.
Copyright (C) 2007, 2008, 2011 libmv authors.
Copyright (C) 2008, 2009 libmv authors.
Copyright (C) 2011 libmv authors.
Copyright (C) 2014, Advanced Micro Devices, Inc., All rights reserved.
Copyright (C) 2010-2012, Institute Of Software Chinese Academy Of Science, All rights reserved.
Copyright (C) 2010-2012, Advanced Micro Devices, Inc., All rights reserved.
Copyright (C) 2010-2012, Multicoreware, Inc., All rights reserved.
Copyright (C) 2014, OpenCV Foundation, All rights reserved.
Copyright (C) 2015, University of Ostrava, Institute for Research and Applications of Fuzzy Modeling,
Copyright (C) 2015, Baisheng Lai (laibaisheng@gmail.com), Zhejiang University,All rights reserved.
Copyright (C) 2000-2016, Intel Corporation, All rights reserved.
Copyright (C) 2016, Intel, Inc. All rights reserved.
Copyright (C) 2011,2012. Philipp Wagner &lt;bytefish[at]gmx[dot]de&gt;.
Copyright (C) 2015, OpenCV Foundation, All rights reserved.
Copyright (C) 2007, 2008, 2009 libmv authors.
Copyright (C) 2000-2018, Intel Corporation, All rights reserved.
Copyright (C) 2015-2018, OpenCV Foundation, All rights reserved.
Copyright (C) 2016, Itseez, Inc., All rights reserved.
Copyright (C) 2015, Itseez Inc, All rights reserved.
Copyright (C) 2014, Itseez Inc, All rights reserved.
Copyright (C) 2013, Alfonso Sanchez-Beato, All rights reserved.
Copyright (C) 2019 Arkan
Copyright (C) 2013/2014 Johannes Bechberger
Copyright (C) 2013/2014 Erich Bretnütz
Copyright (C) 2013/2014 Nikolai Gaßner
Copyright (C) 2013/2014 Raphael Grimm
Copyright (C) 2013/2014 Clara Scherer
Copyright (C) 2013/2014 Florian Weber
Copyright (C) 2013/2014 Andreas Bihlmaier
Copyright (C) 2014, Biagio Montesano, All rights reserved.
Copyright (C) 2011. Philipp Wagner &lt;bytefish[at]gmx[dot]de&gt;.
Copyright (C) 2001 by Andrei Alexandrescu
Copyright (C) 2008-2013, Willow Garage Inc., All rights reserved.
Copyright (C) 2019, Josh Chien. All rights reserved.
Copyright (C) 2014, 2015
Copyright (C) 2014, Beat Kueng (beat-kueng@gmx.net), Lukas Vogel, Morten Lysgaard
Copyright (C) 2013, OpenCV Foundation, All rights reserved.
Copyright (C) 2015, The Chinese University of Hong Kong, All rights reserved.
Copyright 2015 Google Inc. All rights reserved.
Copyright (C) 2011 The University of Texas at Austin
Copyright (C) &lt;2014&gt; SMHasher
Copyright (C) 2016, Intel, Inc., All rights reserved.
Copyright (C) 2016, Sagi Zeevi (www.theimpossiblecode.com), All rights reserved.
Copyright (C) 2013, 2016
Copyright (C) 2009-2010, Willow Garage Inc., All rights reserved.
Copyright (C) 2009
Copyright (C) 2011-2012  Signal processing laboratory 2, EPFL,Kirell Benzi (kirell.benzi@epfl.ch),Raphael Ortiz (raphael.ortiz@a3.epfl.ch)
Copyright (C) 2006-2010, Rob Hess &lt;hess@eecs.oregonstate.edu&gt;
Copyright (C) 2008-2012, Willow Garage Inc., All rights reserved.
Copyright© 2008, Liu Liu All rights reserved.
Copyright 2013 The OpenCV Foundation
Copyright (C) 2016, OpenCV Foundation, All rights reserved.
SLIC, SLICO
Copyright (C) 2013MSLIC
Copyright (C) 2016, 2017
Copyright (C) 2013, Intel Corporation, All rights reserved.
Copyright (C) 2011, 2012, 2013 libmv authors.
Copyright (C) 2014 libmv authors.
Copyright (C) 2012 libmv authors.
Copyright (C) 2010, 2011 libmv authors.
Copyright (C) 2013 libmv authors.
Copyright (C) 2012, Philipp Wagner
Copyright (C) 2011, Javier Sánchez Pérez, Enric Meinhardt Llopis
Copyright (C) 2013-2016, The Regents of The University of Michigan.
Copyright (C) 2012, Anatoly Baksheev
Copyright (C) 2013, Biagio Montesano, All rights reserved.
Copyright (C) 2014, Mohammad Norouzi, Ali Punjani, David J. Fleet,
Copyright (C) 2018 Stephanie Lowry


<b>License:</b> BSD 3-Clause License

Copyright (C) <YEAR>, <OWNER>
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.




</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id3"><td class="same-license">
<div class="label">Software:</div>
<div class="file-list">
JSON for Modern C++ 3.6.1<br/>
</div><!-- file-list -->

<pre class="license-text">
<b>Copyright notice:</b>

Copyright 2015 Google Inc. All rights reserved.
Copyright 2018 Google Inc. All rights reserved.
Copyright 2016 Ismael Jimenez Martinez. All rights reserved.
Copyright 2017 Roman Lebedev. All rights reserved.
Copyright (C) 2012 Two Blue Cubes Ltd. All rights reserved.
Copyright (C) 2015 Max WoolfCopyright 2014 The Authors
Copyright (C) 2016 Nicolas Seriot
Copyright (C) 2015-2017 Niels Lohmann.
Copyright (C) 2015-2017 Niels Lohmann
Copyright (C) 2013-2019 Niels Lohmann &lt;http:nlohmann.me&gt;.
Copyright (C) 2018 Vitaliy Manushkin &lt;agri@akamo.info&gt;.
Copyright (C) 2012, Erik Edlund &lt;erik.edlund@32767.se&gt;
Copyright (C) 2013-2019 Niels LohmannCopyright 2013-2019 [Niels Lohmann](http:nlohmann.me)
Copyright (C) 2009 Google Inc. All rights reserved.
Copyright (C) 2009 Google Inc.


<b>License:</b> MIT License
The MIT License

Copyright (C) <year> <copyright holders>
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id4"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
OpenCV 4.2.0<br/>
</div><!-- file-list -->

<pre class="license-text">
<b>Copyright notice:</b>

Copyright (C) 2000, Intel Corporation, All rights reserved.
Copyright (C) 2018 Cosmin Truta
Copyright (C) 2017 Glenn Randers-Pehrson
Copyright (C) 2000-2008, Intel Corporation, All rights reserved.
Copyright (C) 2008-2012, Willow Garage Inc., All rights reserved.
Copyright (C) 2009, Willow Garage Inc., All rights reserved.
Copyright (C) 2013, OpenCV Foundation, All rights reserved.
Copyright 2008 Google Inc.  All rights reserved.
Copyright (C) 2018 Intel Corporation
Copyright (C) 2018-2019 Intel Corporation
Copyright (C) 2019 Intel CorporationCopyright 2011 Google Inc. All rights reserved.
Copyright 2017 Google Inc. All rights reserved.
Copyright 2012 Google Inc. All rights reserved.
Copyright 2014 Google Inc. All rights reserved.
Copyright 2016 Google Inc. All rights reserved.
Copyright (C) 2018, Intel Corporation, All rights reserved.
Copyright (C) 2014, Itseez Inc, All rights reserved.
Copyright (C) 2014, Itseez Inc., All rights reserved.
Copyright (C) 2000-2008, 2018, Intel Corporation, All rights reserved.
Copyright (C) 2014-2015, Itseez Inc., All rights reserved.
Copyright (C) 2010-2012, Multicoreware, Inc., All rights reserved.
Copyright (C) 2010-2012, Advanced Micro Devices, Inc., All rights reserved.
Copyright (C) 2013, NVIDIA Corporation, All rights reserved.
Copyright (C) 2011. Philipp Wagner &lt;bytefish[at]gmx[dot]de&gt;.
Copyright (C) 2009-2010, Willow Garage Inc., All rights reserved.
Copyright (C) 2014, Itseez, Inc, All rights reserved.
Copyright (C) 1998 Yossi Rubner
Copyright (C) 2017, Intel Corporation, All rights reserved.
Copyright (C) 2009-2012, Willow Garage Inc., All rights reserved.
Copyright (C) 2015, Itseez Inc., All rights reserved.
Copyright (C) 2008-2011, Willow Garage Inc., All rights reserved.
Copyright (C) 2006 Simon Perreault
Copyright (C) 2013, Ovidiu Parvu, All rights reserved.
Copyright (C) 2008-2011, William Lucas
Copyright (C) 2000-2008, 2017, Intel Corporation, All rights reserved.
Copyright (C) 2019, Intel Corporation, All rights reserved.
Copyright (C) 2000-2008,2019 Intel Corporation, All rights reserved.
Copyright (C) 2005-2014 Intel Corporation. All rights reserved.
Copyright (C) 2011, Intel Corporation
Copyright (C) 1989, 1991 Free Software Foundation, Inc.
Copyright (C) 2009-2011, Willow Garage Inc., All rights reserved.
Copyright (C) 2014, Advanced Micro Devices, Inc., All rights reserved.
Copyright (C) 2010-2013, Advanced Micro Devices, Inc., All rights reserved.
Copyright (C) 2008-2013, Willow Garage Inc., All rights reserved.
Copyright 2015-2017 Philippe Tillet
Copyright (C) 2017, Intel Corporation
Copyright (C) 2000-2018, Intel Corporation, All rights reserved.
Copyright (C) 2008 - 2012 The Khronos Group Inc.
Copyright (C) 2016, Intel Corporation, All rights reserved.
Copyright (C) 2015, Itseez, Inc., All rights reserved.
Copyright (C) 2014, Itseez, Inc., All rights reserved.
Copyright (C) 2015, Piotr Dobrowolski dobrypd[at]gmail[dot]com
Copyright (C) 2008, 2011, Nils Hasler, All rights reserved.
Copyright (C) 2008, Nils Hasler, All rights reserved.
Copyright (C) 2015, OpenCV Foundation, All rights reserved.
Copyright (C) Microsoft Open Technologies, Inc.
Copyright (C) Microsoft. All rights reserved.
Copyright (C) 2010-2012, Institute Of Software Chinese Academy Of Science, All rights reserved.
Copyright (C) 2010-2012 Daniel Beer &lt;dlbeer@gmail.com&gt;
Copyright (C) 2008 - 2009 NVIDIA Corporation.  All rights reserved.
Copyright (C) 2007-2009
Copyright (C) 2015-2016, OpenCV Foundation, All rights reserved.
Copyright (C) 2016, OpenCV Foundation, All rights reserved.
Copyright (C) 2014, Samson Yilma (samsonyilma@yahoo.com), All rights reserved.
Copyright (C) 2016-2017 Fabian David Tschopp, All rights reserved.
Copyright (C) 2015, Advanced Micro Devices, Inc.
Copyright (C) 2018-2019, Intel Corporation, All rights reserved.
Copyright (C) 2005-2012, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2012, Industrial Light &amp; Magic, a division of Lucassvgfig.py
Copyright (C) 2008 Jim Pivarski &lt;jpivarski@gmail.com&gt;Copyright 2012 Google Inc.  All rights reserved.
Copyright 2013 Red Hat Inc.  All rights reserved.
Copyright 2014 Bloomberg Finance LP. All rights reserved.
Copyright 2015 Google Inc.  All rights reserved.
Copyright 2014 Google Inc. All rights reserved.
Copyright 2013 Google Inc.  All rights reserved.
Copyright 2014 Google Inc.  All rights reserved.
Copyright (C) 2006, Google Inc.Copyright 2005-2008 Google Inc. All rights reserved.
Copyright 2005 Google Inc.
Copyright (C) 2010, Google Inc. All rights reserved.
Copyright 2013 Google Inc. All rights reserved.
Copyright 2015 Google Inc. All rights reserved.
Copyright 2010 Google Inc. All rights reserved.
Copyright 2018 Google Inc. All rights reserved.
Copyright (C) Microsoft Corporation. All rights reserved
Copyright (C) 2017 Joseph Redmon
Copyright (C) Microsoft Corporation. All rights reserved.
Copyright (C) Microsoft Corporation. All rights reserved.
AKAZE Features Copyright 2013, Pablo F. Alcantarilla, Jesus NuevoKAZE Features Copyright 2012, Pablo F. Alcantarilla
Copyright (C) 2014, Intel, Inc., All rights reserved.
Copyright 2005, Google Inc.Copyright 2015, Google Inc.
Copyright (C) 2001 Fabrice Bellard
Copyright (C) 1991, 1999 Free Software Foundation, Inc.
Copyright (C) 2014, Itseez Inc. See the license at http:opencv.orgCopyright 2011, 2012, 2013, 2014, 2015, 2016, 2017 The Regents of theUniversity of California.  All rights reserved.
Copyright (C) 2013 NVIDIA Corporation. All rights reserved.
Copyright (C) 2008-2013 The Khronos Group Inc.
Copyright (C) 2000-2015, Intel Corporation, All rights reserved.
Copyright 2008-2009  Marius Muja (mariusm@cs.ubc.ca). All rights reserved.
Copyright 2008-2009  David G. Lowe (lowe@cs.ubc.ca). All rights reserved.
Copyright (C) 2014-2016, Joseph Howse (Nummist Media Corporation Limited,Halifax, Nova Scotia, Canada). All rights reserved.
Copyright (C) 2017, Puttemans Steven, Can Ergun and Toon Goedeme
Copyright (C) 2015, NVIDIA Corporation, All rights reserved.
Copyright (C) 2014-2015, NVIDIA Corporation, All rights reserved.
Copyright (C) 1995-2019 The PNG Reference Library Authors.
Copyright (C) 2018-2019 Cosmin Truta.
Copyright (C) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson.
Copyright (C) 1996-1997 Andreas Dilger.
Copyright (C) 1995-1996 Guy Eric Schalnat, Group 42, Inc.
Copyright (C) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson, are
Copyright (C) 1998-2000 Glenn Randers-Pehrson, are derived from
Copyright (C) 1996-1997 Andreas Dilger, are derived from libpng-0.88,and are distributed according to the same disclaimer and license as
Copyright (C) 2018-2019 Cosmin Truta
Copyright (C) 1998-2002,2004,2006-2018 Glenn Randers-Pehrson
Copyright (C) 1996-1997 Andreas Dilger
Copyright (C) 1998-2002,2004,2006-2016,2018 Glenn Randers-Pehrson
Copyright (C) 1998-2002,2004,2006-2013 Glenn Randers-Pehrson
Copyright (C) 1998-2002,2004,2006-2017 Glenn Randers-Pehrson
Copyright (C) 1998-2002,2004,2006-2013,2018 Glenn Randers-Pehrson
Copyright (C) 1998-2002,2004,2006-2014,2016 Glenn Randers-Pehrson
Copyright (C) 1998-2018 Glenn Randers-Pehrson
Copyright (C) 1998-2002,2004,2006-2014,2016,2018 Glenn Randers-Pehrson
Copyright (C) 2004, Hannes Kruppa and Bernt Schiele (ETH Zurich, Switzerland).
Copyright (C) 2011, Modesto Castrillon-Santana (IUSIANI, Universidad de
Copyright (C) 2000-2019, Intel Corporation, All rights reserved.
Copyright (C) 2009-2016, NVIDIA Corporation, All rights reserved.
Copyright (C) 2015-2016, Itseez Inc., All rights reserved.
Copyright (C) 2019, Xperience AI, All rights reserved.
Copyright (C) 2002, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2002-2012, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2002-2018, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2018 Ya-Chiu Wu, All rights reserved.
Copyright (C) 2011-2014 Idiap Research Institute (Ronan Collobert)
Copyright (C) 2012-2014 Deepmind Technologies (Koray Kavukcuoglu)
Copyright (C) 2011-2012 NEC Laboratories America (Koray Kavukcuoglu)
Copyright (C) 2011-2013 NYU (Clement Farabet)
Copyright (C) 2006-2010 NEC Laboratories America (Ronan Collobert, Leon Bottou, Iain Melvin, Jason Weston)
Copyright (C) 2006      Idiap Research Institute (Samy Bengio)
Copyright (C) 2001-2004 Idiap Research Institute (Ronan Collobert, Samy Bengio, Johnny Mariethoz)
Copyright (C) 1999-2000 Image Power, Inc.
Copyright (C) 1999-2000 The University of British Columbia
Copyright (C) 2001-2003 Michael David Adams
Copyright (C) 2002-2003 Michael David Adams.
Copyright (C) 2001-2006 Michael David Adams
Copyright (C) 2001-2002 Michael David Adams.
Copyright (C) 1999-2000, Image Power, Inc. and the University of
Copyright (C) 1999-2000 Image Power, Inc. and the University of
Copyright (C) 2001-2003 Michael David Adams.
Copyright (C) 2004 Michael David Adams.
Copyright (C) 2001-2004 Michael David Adams.
Copyright (C) 2016-2017 Glenn Randers-Pehrson
Copyright (C) 2014, NVIDIA Corporation, All rights reserved.
Copyright (C) 2012-2015, NVIDIA Corporation, All rights reserved.
Copyright (C) 2016, NVIDIA Corporation, All rights reserved.
Copyright (C) 2006, 2008 Edward Rosten
Copyright (C) 2012-2014, NVIDIA Corporation, All rights reserved.
Copyright (C) 2014-2016, NVIDIA Corporation, All rights reserved.
Copyright (C) 2013-2015, NVIDIA Corporation, All rights reserved.
Copyright (C) 1994-1998, Thomas G. Lane.
Copyright (C) 1994-1996, Thomas G. Lane.
Copyright (C) 1994-1997, Thomas G. Lane.
Copyright (C) 1991-1996, Thomas G. Lane.
Copyright (C) 1991-1997, Thomas G. Lane.
Copyright (C) 1991-1998, Thomas G. Lane.
Copyright (C) 1995-1998, Thomas G. Lane.
Copyright (C) 1995-1997, Thomas G. Lane.
Copyright (C) 1991-1994, Thomas G. Lane.
Copyright (C) 1992-1996, Thomas G. Lane.
Copyright (C) 1992-1997, Thomas G. Lane.
Copyright (C) 1991-2018, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 2014, The Regents of the University of California (Regents)
Copyright (C) 2014, the respective contributors
Copyright (C) 2009-2014 DreamWorks Animation LLC.
Copyright (C) 2007, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2004, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2006, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2009, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2003, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2012, Weta Digital Ltd
Copyright (C) 2011, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2013, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2007, Weta Digital Ltd(c) 2012 Weta Digital Ltd
Copyright (C) 2012, Autodesk, Inc.
Copyright (C) 2004, Pixar Animation Studios
Copyright (C) 2004, Industrial Light &amp; Magic, a division of LucasfilmEntertainment Company Ltd.  Portions contributed and copyright held byothers as indicated.  All rights reserved.
Copyright (C) 2005, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2010  Elmar Mair
Copyright (C) 2008, Willow Garage Inc., All rights reserved.
Copyright (C) 2011  The Autonomous Systems Lab (ASL), ETH Zurich,Stefan Leutenegger, Simon Lynen and Margarita Chli.
Copyright (C) 2009, Willow Garage, Inc.
Copyright (C) 2009, Liu Liu All rights reserved.
Copyright (C) 2006, Industrial Light &amp; Magic, a division of Lucasfilm(C) Copyright Christopher Diggins 2005-2011(C) Copyright Pablo Aguilar 2005(C) Copyright Kevlin Henney 2001Copyright 2008-2011  Marius Muja (mariusm@cs.ubc.ca). All rights reserved.
Copyright 2008-2011  David G. Lowe (lowe@cs.ubc.ca). All rights reserved.
Copyright (C) 2010-2012, MulticoreWare Inc., All rights reserved.
Copyright (C) 2014, Intel Corporation, All rights reserved.
Copyright 2008, Google Inc.Copyright 2007, Google Inc.
Copyright (C)2009-2019 D. R. Commander.  All rights reserved.
Copyright (C)2015 Viktor Szathmáry.  All rights reserved.
Copyright (C) 2008-2012 The Khronos Group Inc.
Copyright (C) 2008-2009 The Khronos Group Inc.
Copyright (C) 2008-2010 The Khronos Group Inc.
Copyright (C) 2008-2015 The Khronos Group Inc.
Copyright (C) 2008-2010, Willow Garage Inc., All rights reserved.
Copyright (C) 2014-2017 The Khronos Group Inc.
Copyright (C) 2015-2018 The Khronos Group Inc.
Copyright (C) 1991-2012, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 1988-1997 Sam Leffler
Copyright (C) 1991-1997 Silicon Graphics, Inc.
Copyright (C) 1995-2012 Jean-loup Gailly and Mark Adler.Entertainment Company Ltd. Portions contributed and copyright held byothers as indicated. All rights reserved.
Copyright (C) 2001 Fabrice Bellard
Copyright (C) 2004-2012, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2011-2012, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2006-2012, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2008, Industrial Light &amp; Magic, a division of Lucas
Copyright (C) 2009 Frank Warmerdam
Copyright (C) 1991-1997 Sam Leffler
Copyright (C) 1990-1997 Sam Leffler
Copyright (C) 1990, 1995  Frank D. Cringle.
Copyright (C) 1994-1997 Sam Leffler
Copyright (C) 1994-1997 Silicon Graphics, Inc.
Copyright (C) 1997 Greg Ward Larson
Copyright (C) 1997 Silicon Graphics, Inc.
Copyright (C) 2010, Andrey Kiselev &lt;dron@ak4719.spb.edu&gt;
Copyright (C) Joris Van Damme &lt;info@awaresystems.be&gt;
Copyright (C) AWare Systems &lt;http:www.awaresystems.be/&gt;
Copyright (C) 1996-1997 Sam Leffler
Copyright (C) 1996 Pixar
Copyright (C) 1995-1997 Sam Leffler
Copyright (C) 1995-1997 Silicon Graphics, Inc.
Copyright (C) 1988-1996 Sam Leffler
Copyright (C) 1991-1996 Silicon Graphics, Inc.
Copyright (C) 1992-1997 Sam Leffler
Copyright (C) 1992-1997 Silicon Graphics, Inc.
Copyright (C) 2018, Mapbox
Copyright (C) 2017, Planet Labs
Copyright (C) 2007-2008 Intel Corporation. All rights reserved.
Copyright (C) 2000-2016, Intel Corporation, All rights reserved.
Copyright( C) 2000, Intel Corporation, All rights reserved.
Copyright (C) 2000-2003 Chih-Chung Chang and Chih-Jen Lin
Copyright (C) 2016, Itseez Inc, All rights reserved.
file Copyright.txt or https://cmake.org/licensing for details.
Copyright (C) 2014, 2015, The Regents of the University of California (Regents)
Copyright (C) 2014, 2015, the respective contributors
Copyright (C) 2017-2019, Intel Corporation, All rights reserved.
Copyright (C) 2014,2016 Glenn Randers-Pehrson
Copyright (C) 2017-2018 Arm Holdings. All rights reserved.
Copyright (C) 2008-2013, Itseez Inc., All rights reserved.
Copyright (C) 2013, Itseez Inc, All rights reserved.
Copyright (C) 2016 Glenn Randers-Pehrson
Copyright (C) 2010 The Android Open Source Project
Copyright (C) 2016 The Android Open Source Project
Copyright (C) 2010-2011, Ethan Rublee
Copyright (C) 2011-2014, Andrey KamaevCopyright 2012. All rights reserved.
Copyright (C) 2016, Itseez, Inc, All rights reserved.
Copyright (C) 2015, 2018, D. R. Commander.
Copyright (C) 2009-2012, 2015, D. R. Commander.Copyright 2009 Pierre Ossman &lt;ossman@cendio.se&gt; for Cendio AB
Copyright (C) 2014, MIPS Technologies, Inc., California.
Copyright (C) 1999-2006, MIYASAKA Masaru.
Copyright (C) 2011, 2014-2015, D. R. Commander.
Copyright (C) 2009-2011, 2014-2016, 2018, D. R. Commander.
Copyright (C) 2015, Matthieu Darbois.
Copyright (C) 1997-1998, Thomas G. Lane, Todd Newman.
Copyright (C) 2017, D. R. Commander.
Copyright (C) 2010, D. R. Commander.
Copyright (C) 2010, 2016, 2018, D. R. Commander.
Copyright (C) 2009-2011, 2018, D. R. Commander.
Copyright (C) 2011, 2015, 2018, D. R. Commander.
Copyright (C) 2016, 2018, Matthieu Darbois.
Copyright (C) 2015, D. R. Commander.
Copyright (C) 2016, D. R. Commander.
Copyright (C) 2010, 2015-2018, D. R. Commander.
Copyright (C) 2015, Google, Inc.
Copyright (C) 2015-2018, D. R. Commander.
Copyright (C) 2013, 2016, D. R. Commander.
Copyright (C) 2010, 2015-2016, D. R. Commander.
Copyright (C) 2013, Linaro Limited.
Copyright (C) 2014-2015, D. R. Commander.
Copyright (C) 2009, 2011, 2015, D. R. Commander.
Copyright (C) 2009, 2011-2012, 2014-2015, D. R. Commander.
Copyright (C) 2010, 2015, D. R. Commander.
Copyright (C) 2013, MIPS Technologies, Inc., California.
Copyright (C) 2009-2011, 2016, 2018, D. R. Commander.
Copyright (C) 2010-2011, 2015-2016, D. R. Commander.
Copyright (C) 2010, 2016, D. R. Commander.
Copyright (C) 2012, 2015, D. R. Commander.
Copyright (C) 2009-2011, 2016, D. R. Commander.
Copyright (C) 1991-1995, Thomas G. Lane.
Copyright (C) 2009, 2011, 2014-2015, D. R. Commander.
Copyright (C) 2014-2015, 2018, D. R. Commander.
Copyright (C) 2011, 2015, D. R. Commander.
Copyright (C) 2015-2016, 2018, D. R. Commander.
Copyright (C) 2014, 2017, D. R. Commander.
Copyright (C) 2014, D. R. Commander.
Copyright (C) 2017-2018, D. R. Commander.
Copyright (C) 2009, 2011, 2014-2015, 2018, D. R. Commander.
Copyright (C) 2015-2016, D. R. Commander.
Copyright (C) 2009-2011, 2013-2014, 2016-2017, D. R. Commander.
Copyright (C) 2009, 2015, D. R. Commander.
Copyright (C) 2009, 2014-2015, D. R. Commander.
Copyright (C) 2011, 2014, D. R. Commander.
Copyright (C) 2015-2016, 2018, Matthieu Darbois.
Copyright (C) 2009-2011, 2014, D. R. Commander.
Copyright (C) 2013, D. R. Commander.
Copyright (C) 2010, 2012-2019, D. R. Commander.Copyright 2010 Argus Corp. All rights reserved.
Copyright (C) 2015 The Regents of the University of California (Regents)
Copyright (C) 2015, 2015 The Regents of the University of California (Regents)
Copyright (C) 2013, Bo Li (prclibo@gmail.com), ETH ZurichCopyright 2017 Toby Collins
Copyright (C) 2007, Miroslav Balda
Copyright (C) 2009, Intel Corporation and others, All rights reserved.
Copyright (C) 1995-2011, 2016 Mark Adler
Copyright (C) 1995-2005, 2014, 2016 Jean-loup Gailly, Mark Adler
Copyright (C) 1995-2006, 2010, 2011, 2012, 2016 Mark Adler
Copyright (C) 1995-2017 Jean-loup Gailly and Mark Adler
Copyright (C) 1995-2016 Jean-loup Gailly
Copyright (C) 2004, 2010 Mark Adler
Copyright (C) 2004, 2005, 2010, 2011, 2012, 2013, 2016 Mark Adler
Copyright (C) 2004-2017 Mark Adler
Copyright (C) 1995-2016 Mark Adler
Copyright (C) 1995-2017 Mark Adler
Copyright (C) 1995-2003, 2010 Mark Adler
Copyright (C) 1995-2005, 2010 Mark Adler(C) 1995-2017 Jean-loup Gailly and Mark Adler
Copyright (C) 1995-2017 Jean-loup Gailly
Copyright (C) 1995-2003, 2010, 2014, 2016 Jean-loup Gailly, Mark Adler
Copyright (C) 1995-2016 Jean-loup Gailly, Mark AdlerCopyright 2014, Google Inc.  All rights reserved.



<b>License:</b> BSD 3-Clause License
Please see above.





</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id5"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
libjpeg 9c<br/>
</div><!-- file-list -->

<pre class="license-text">
<b>Copyright notice:</b>

Copyright (C) 1994-1997, Thomas G. Lane.
Copyright (C) 1991-1997, Thomas G. Lane.
Copyright (C) 1991-1998, Thomas G. Lane.
Copyright (C) 1991-1994, Thomas G. Lane.
Copyright (C) 1994-1998, Thomas G. Lane.
Copyright (C) 1994-1996, Thomas G. Lane.
Copyright (C) 1991-1996, Thomas G. Lane.
Copyright (C) 1995-1998, Thomas G. Lane.
Copyright (C) 1995-1997, Thomas G. Lane.
Copyright (C) 1992-1996, Thomas G. Lane.
Copyright (C) 1992-1997, Thomas G. Lane.
Copyright (C) 1995-2013, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 1991-2018, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 1996-2015 Free Software Foundation, Inc.
Copyright (C) 1988 by Jef Poskanzer.
Copyright (C) 1997-2017, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 1997-2013, Thomas G. Lane, Guido Vollbeding.
Copyright (C) 1989 by Jef Poskanzer.


<b>License:</b> Libjpeg License (JPEG License)

Libjpeg License
The authors make NO WARRANTY or representation, either express orimplied, with respect to this software, its quality, accuracy,merchantability, or fitness for a particular purpose.  This softwareis provided "AS IS", and you, its user, assume the entire risk as toits quality and accuracy.
This software is
Copyright (C) 1991-1998, Thomas G. Lane.  All RightsReserved except as specified below.
Permission is hereby granted to use, copy, modify, and distribute thissoftware (or portions thereof) for any purpose, without fee, subjectto these conditions:
(1) If any part of the source code for this software is distributed,then this README file must be included, with this copyright andno-warranty notice unaltered; and any additions, deletions, or changesto the original files must be clearly indicated in accompanyingdocumentation.
(2) If only executable code is distributed, then the accompanyingdocumentation must state that "this software is based in part on thework of the Independent JPEG Group".
(3) Permission for use of this software is granted only if the useraccepts full responsibility for any undesirable consequences; theauthors accept NO LIABILITY for damages of any kind.
These conditions apply to any software derived from or based on theIJG code, not just to the unmodified library.  If you use our work,you ought to acknowledge us.
Permission is NOT granted for the use of any IJG author's name orcompany name in advertising or publicity relating to this software orproducts derived from it.  This software may be referred to only as"the Independent JPEG Group's software".
We specifically permit and encourage the use of this software as thebasis of commercial products, provided that all warranty or liabilityclaims are assumed by the product vendor.
ansi2knr.c is included in this distribution by permission of L. PeterDeutsch, sole proprietor of its copyright holder, Aladdin Enterprisesof Menlo Park, CA.  ansi2knr.c is NOT covered by the above copyrightand conditions, but instead by the usual distribution terms of theFree Software Foundation; principally, that you must include sourcecode if you redistribute it.  (See the file ansi2knr.c for fulldetails.)  However, since ansi2knr.c is not needed as part of anyprogram generated from the IJG code, this does not limit you more thanthe foregoing paragraphs do.
The Unix configuration script "configure" was produced with GNUAutoconf.  It is copyright by the Free Software Foundation but isfreely distributable.  The same holds for its supporting scripts(config.guess, config.sub, ltconfig, ltmain.sh).  Another supportscript, install-sh, is copyright by M.I.T. but is also freelydistributable.
It appears that the arithmetic coding option of the JPEG spec iscovered by patents owned by IBM, AT&T, and Mitsubishi.  Hencearithmetic coding cannot legally be used without obtaining one or morelicenses.  For this reason, support for arithmetic coding has beenremoved from the free JPEG software.  (Since arithmetic codingprovides only a marginal gain over the unpatented Huffman mode, it isunlikely that very many implementations will support it.)  So far aswe are aware, there are no patent restrictions on the remaining code.
The IJG distribution formerly included code to read and write GIFfiles.  To avoid entanglement with the Unisys LZW patent, GIF readingsupport has been removed altogether, and the GIF writer has beensimplified to produce "uncompressed GIFs".  This technique does notuse the LZW algorithm; the resulting GIF files are larger than usual,but are readable by all standard GIF decoders.
We are required to state that
"The Graphics Interchange Format(c) is the Copyright property ofCompuServe Incorporated.  GIF(sm) is a Service Mark property ofCompuServe Incorporated."
</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id6"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
ceres solver 1.14.0<br/>
</div><!-- file-list -->

<pre class="license-text">
<b>Copyright notice:</b>

Copyright 2017 Google Inc. All rights reserved.
Copyright 2015 Google Inc. All rights reserved.
Copyright 2016 Google Inc. All rights reserved.
Copyright (C) 2015 Justus Calvin
Copyright (C) 2014, Bogdan Cristea and LTE Engineering Software,Kitware, Inc., Insight Software Consortium.  All rights reserved.
Copyright 2005, Google Inc.Copyright 2015, Google Inc.Copyright 2018 Google Inc. All rights reserved.
Copyright 2008, Google Inc.Copyright 2007, Google Inc.Copyright 2007 Google Inc. All rights reserved.
Copyright (C) 2013 libmv authors.
Copyright (C) 2014 libmv authors.
Copyright (C) 2007, Google Inc.
Copyright (C) 2012, Lookout, Inc. All rights reserved.



<b>License:</b> BSD 3-Clause License
Please see above.
</pre><!-- license-text -->
</td></tr><!-- same-license -->


</table>
</body></html>
